/* Common Styles */
#progress-container {
  position: fixed;
  top: 95px;
  left: 0;
  width: 100%;
  height: 10px;
  /* Set the height of the progress bar */
  z-index: 9999;
  /* Set the z-index to make sure the progress bar appears on top */
}

#progress-bar {
  height: 100%;
  background-color: #8ec83b;
  /* Set the color of the progress bar */
  width: 0%;
  /* Set the initial width to 0% */
  transition: width 0.5s ease-in-out;
  /* Add a transition effect to the width property */

}
          #below-bar {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 5px;
  background-color: #76c3e5;
  z-index: 9999;
  display: none;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  outline: none;
  text-decoration: none;
  list-style-type: none;
  font-family: "Baloo Da 2", cursive;
}

html {
  font-size: 62.5%;
  scroll-behavior: smooth;
}
.container {
  overflow: hidden;
}
/* End of Common Styles */      

.new-navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 95px;
  z-index: 999;
  /* background-image: linear-gradient(to right, #8ec83b, #76c3e5); */
  background-image: linear-gradient(to right, #737a7d, #8ec83b, #ffc239);
}

.new-navbar .new-navbar-logo img {
  height: 130px;
  padding: 0px;
  float: left;
  margin-top: 0px;
  margin-left: 4rem;
}

.new-navbar ul {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  list-style: none;
  margin: 0;
  padding: 0;
  float: right;
  font-weight: 400;
}

.new-navbar ul li {
  display: inline-block;
  margin: 0 10px;
  list-style: none;
}

.new-navbar ul li a {
  display: block;
  color: #fff;
  text-decoration: none;
  padding: 10px 20px;
  transition: all 0.3s ease-in-out;
  font-size: 18px;
}

.new-navbar ul li a:hover {
  background-color: #fff;
  color: #000;
}

.menu {
  width: 4rem;
  height: 4rem;
  position: fixed;
  /* z-index: 500; */
  top: 2rem;
  right: 4rem;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  cursor: pointer;
  margin-top: 10px;
}

/* new-navbar end */
.line {
  width: 100%;
  height: 0.2rem;
  background-color: #eee;
  transition: transform 0.3s;
}

.line-1 {
  width: 50%;
}

.line-3 {
  width: 50%;
  margin-left: auto;
}

.change .line-1 {
  transform: translate(100%, 1rem) rotate(-35deg);
  transform-origin: right;
}

.change .line-3 {
  transform: translateY(-1rem) rotate(35deg);
  transform-origin: right;
}
            
.new-navbar.change {
  height: 100vh;
  background-image: linear-gradient(to right, #ffc239, #8ec83b, #76c3e5);
}

@keyframes animateNavbar {
  0% {
    top: -8rem;
  }
  100% {
    top: 0;
  }
}

.change .new-navbar-logo {
  display: none;
}

.nav-link {
  font-family: "MADE Soulmaze", sans-serif;
  font-size: 4rem;
  letter-spacing: 0.3rem;
  color: #fff;
  margin: 2rem 0;
  transition: color 0.4s;
}

.nav-link:hover {
  color: #ffc239;
}
/*  End of Navbar */

.new-navbar-brand-text {
  font-size: 1.5rem;
  margin-right: 1rem;
}
      
/* new one */
.dropdown-content a {
  color: black;
  display: block;
  padding: 5px 0;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: white;
  color: black;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
  width: 300px; /* or any desired width */
  top: 100px;
}

/* new */
.new-menu {
  width: 4rem;
  height: 4rem;
  /* z-index: 500;
  top: 2rem;
  */
  
  right: 7rem;
  float: left;
  margin-top: 0px;
  margin-right: 4rem;

  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  cursor: pointer;
  opacity: 0;
  visibility: hidden;
}

.line {
  width: 100%;
  height: 0.2rem;
  background-color: #eee;
  background-color: black;
  transition: transform 0.3s;
}

.line-1 {
  width: 50%;
}

.line-3 {
  width: 50%;
  margin-left: auto;
}

.change .line-1 {
  transform: translate(100%, 1rem) rotate(-35deg);
  transform-origin: right;
}

.change .line-3 {
  transform: translateY(-1rem) rotate(35deg);
  transform-origin: right;
}

.change .new-navbar-logo {
  display: none;
}

.new-nav-list {
  position: absolute;
  top: 25%;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  flex-direction: column;
  align-items: center;
  opacity: 0;
  visibility: hidden;
  transition: all 0.2s;
}

.change .new-nav-list .new-menu {
  position: fixed;
}
.change .new-nav-list {
  position: absolute;
  top: 25%;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  flex-direction: column;
  align-items: center;
  opacity: 1;
  visibility: visible;
  transition: all 0.7s 0.5s;
}
/* end of new */

/* Hide the dropdown menu by default */
.mobile-dropdown-menu {
  display: none;
}

/* Show the dropdown menu when the link is clicked */
.mobile-dropdown-toggle.active + .mobile-dropdown-menu {
  display: block;
}

@media screen and (max-width: 1023px) {
  .new-menu {
    top: 12%;
    opacity: 1;
    visibility: visible;
  }

  .new-navbar ul {
    display: none;
  } 

  .new-navbar .new-menu-clicked .change {
    background-color: linear-gradient(to right, #ffc239, #8ec83b, #76c3e5);;
  }
  
  html {
    font-size: 40%;
  }

  .menu-clicked .new-navbar-logo {
    display: none;
  }
  .new-navbar-open {
    background-color: #333;
  }

  .dropdown-content a {
    display: block;
    padding: 5px 0;
  }

  .new-navbar .new-navbar-logo img {
    width: 150px;
    height: auto;
    padding: 0px;
    float: left;
    margin-top: 4px;
    margin-left: 4rem;
  }

  /* styles for mobile dropdown menu */
  .mobile-dropdown-menu {
    display: none;
  }

  .mobile-dropdown-menu.open {
    display: block;
  }

  .new-navbar.black {
    background-color: #000000;
  }
  
  /* Hide the dropdown content by default */
  .dropdown-content {
    display: none;
  }

  .new-menu {
    position: absolute;
    top: 3.5rem;
    right: 0;
  }

  .new-navbar {
    overflow: scroll;
    background-image: linear-gradient(to right, #ffc239, #8ec83b, #76c3e5);
    background-image: none;
    background-image: linear-gradient(to right, #737a7d, #8ec83b, #ffc239);
    height: 75px;
    z-index: 999;
  }
  
  /* Add this CSS to show the dropdown content on click */
  .dropdown.active .dropdown-content {
    display: block;
  }
  .new-navbar::-webkit-scrollbar {
    width: 0px;
    height: 0px;
  }
  
  .new-navbar::-webkit-scrollbar-thumb {
    background-color: transparent;
    border-radius: 0px;
  }
  
  .new-navbar::-webkit-scrollbar-thumb:hover {
    background-color: transparent;
  }
}

.dropdown-text {
  color:black;
  font-size:20px;
}

.gradient-text-unapplied {
  color: #ffc239;
  background: linear-gradient(to right, #76c3e5, #8ec83b, #ffc239);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.gradient-text {
  color: #ffc239;
}


